Remove a component from a pipeline stage
Removes a component from a stage. The component itself is not deleted.
DELETE
/project/{project_id}/environment/{environment_id}/pipelines/{pipeline_id}/stages/{pipeline_stage_id}/components/{pipeline_stage_component_id}Authorization
AuthorizationBearer token (JWT) · headerrequiredJWT token passed in the Authorization header using the Bearer <token> format.
Path parameters
project_iduuidrequiredThe unique identifier for the project
environment_iduuidrequiredThe unique identifier of the environment
pipeline_iduuidrequiredThe unique identifier for the pipeline
pipeline_stage_iduuidrequiredThe unique identifier for the pipeline stage
pipeline_stage_component_iduuidrequiredThe unique identifier for the pipeline stage component
Responses
204
Pipeline stage component removed successfully
default
Error
codeinteger<int32>requiredmessagestringrequiredreasonstringOptional stable machine-readable reason for programmatic error handling